vmtoolsConfig.c File Reference
`#include "vmware/tools/utils.h"`
`#include <errno.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <glib/gstdio.h>`
`#include "vm_assert.h"`
`#include "conf.h"`
`#include "err.h"`
`#include "guestApp.h"`

## Functions

gboolean | VMTools_LoadConfig (const gchar *path, GKeyFileFlags flags, GKeyFile **config, time_t *mtime)
gboolean | VMTools_AddConfig (GKeyFile *srcConfig, GKeyFile *dstConfig)
gboolean | VMTools_CompareConfig (GKeyFile *config1, GKeyFile *config2)
gboolean | VMTools_WriteConfig (const gchar *path, GKeyFile *config, GError **err)
gboolean | VMTools_ConfigGetBoolean (GKeyFile *config, const gchar *section, const gchar *key, const gboolean defValue)
gint | VMTools_ConfigGetInteger (GKeyFile *config, const gchar *section, const gchar *key, const gint defValue)
gchar * | VMTools_ConfigGetString (GKeyFile *config, const gchar *section, const gchar *key, const gchar *defValue)

## Detailed Description

Convenience functions for loading tools configuration files, and automatically migrating from old-style tools configuration files.